uniform vec4 lightpos;
varying vec3 place;
varying vec3 direction;


void main()
{
    place = vec3(gl_ModelViewMatrixInverse*vec4(0.0,0.0,0.0,1.0));

    direction = normalize(gl_Vertex.xyz-place) * 140.0/300.0;//(length(direction-place)/100.0);;

    gl_FrontColor = vec4(0.0, 0.0, 0.0, 1.0);// * (60.1/(distance(lightpos.xyz,gl_Vertex.xyz)));// * max(sshadow,0.1)*lightpos.w;

    gl_Position = ftransform();
}
